%define Werror_cflags %nil

%define name     medit
%define version  1.2.0
%define release  %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Multiplatform GTK+2 text editor
Summary(de):	Multiplattform GTK+2 Texteditor
Group:		Editors
License:	GPL
URL:		http://mooedit.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ggap/%{name}-%{version}.tar.xz
%ifarch x86_64
Patch1:		medit_glib.patch
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	%{_lib}pcre0-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	intltool
Requires:	pygtk2.0
Requires:	%{_lib}python2.7


%description
Medit is a GTK text editor. Started as an editor component of GGAP
(http://ggap.sourceforge.net/), it grew up to a real full-featured
text editor.

%description -l de
Medit ist ein GTK Texteditor. Den Anfang bildete eine Editorkomponente
von GGAP (http://ggap.sourceforge.net/), aber es wuchs zu einem realen
Texteditor mit vielen Funktionen.


%prep
%setup -q -n %name-%version
#%ifarch x86_64
#%patch1 -p0
#%endif

%build
%configure2_5x
%make


%install
rm -rf %{buildroot}
%{makeinstall_std}
cd -



#Menu
desktop-file-install \
  --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

#remove conflicting files
rm -f $RPM_BUILD_ROOT%{_iconsdir}/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/globs
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/magic
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/mime.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/subclasses

%post
%{update_desktop_database}
%update_mime_database
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_mime_database
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%name-%r_version

%files
%defattr(-,root,root)
%{_bindir}/medit
%{_datadir}/applications/medit.desktop
%{_datadir}/doc/medit-1/*
%{_datadir}/icons/hicolor/48x48/apps/medit.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/man/man1/medit.1.bz2
%{_datadir}/medit-1/*


%changelog
* Sun Apr 06 2014 daniel <meisssw01 at gmail.com> 1.2.0-1free2014
- upstream tarball

* Mon Dec 23 2013 billybot <billybot> 1.1.92-2pclos2014
- change req: {_lib}python2.7


* Sat Dec 22 2013 daniel <meisssw01 at gmail.com> 1.1.92-1free2013
- update to latest stable build 
- fix description output for synaptic

* Thu Aug 09 2012 Neal <nealbrks0 at gmail dot com> 1.1.1-1pclos2012
- process

* Thu Aug 09 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.1.1-1pclos2012
- 1.1.1

* Sat Mar 31 2012 Neal <nealbrks0 at gmail.com> 1.1.0-1pclos2012
- process

* Sat Mar 31 2012 leiche <meisssw01 at gmail.com> 1.1.0-1pclos2012
- 1.1.0
- remove glib patch for 64 bit

* Sat Mar 10 2012 leiche <meisssw01 at gmail.com> 1.0.5-2pclos2012
- add glib patch for 64 bit

* Mon Feb 13 2012 Neal <nealbrks0 at gmail dot com> 1.0.5-1pclos2012
- process

* Sun Feb 12 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.0.5-1pclos2012
- 1.0.5
- added german summary and description
- changed cmake to configure authors switched to autotools, depended on this there is a new structur
  so i had to change the files section
- deleted "cd build" after "rm -rf %{buildroot}" not existing anymore
- deleted "%{_datadir}/pixmaps/medit.png" (files section) not existing anymore
- deleted BuildRequires cmake not using cmake anymore

* Sun Oct 10 2010 Sproggy <desproggster@gmail.com> 0.10.5-1pclos2010
- 0.10.5

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.10.4-1pclos2010
- rebuild python

